%global pypi_name plette 

Name:           python-%{pypi_name}
Version:        0.4.4
Release:        1
Summary:        Plette implements Pipfile and Pipfile.lock parsers, generators, and optional validators.

License:        MIT
URL:            https://github.com/sarugaku/plette
Source0:        %{pypi_source %{pypi_name}}
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-pip
BuildRequires:  python3-wheel
BuildRequires:	python3-editables
BuildRequires:	python3-hatch-vcs
BuildRequires:	python3-hatchling
BuildRequires:	python3-virtualenv
BuildRequires:  python3-pytest

%description
Plette implements Pipfile and Pipfile.lock parsers, generators, and optional validators to let the user work with them in a structured manner.

%package -n     python%{python3_pkgversion}-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python%{python3_pkgversion}-%{pypi_name}}

%description -n python%{python3_pkgversion}-%{pypi_name}
Plette implements Pipfile and Pipfile.lock parsers, generators, and optional validators to let the user work with them in a structured manner.


%prep
%autosetup -n %{pypi_name}-%{version}

%build
%pyproject_build

%install
%pyproject_install

%files -n python%{python3_pkgversion}-%{pypi_name}
%doc README.rst
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}*.dist-info/

%changelog
* Fri Jun 9 2023 Dongxing Wang <dxwangk@isoftstone.com> - 0.4.4-1
- Initial package to version 0.4.4 for requirementslib
